Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.reflection.java
Class EJB3OverridenAnnotationReader

    java.lang.Object
      org.hibernate.reflection.java.EJB3OverridenAnnotationReader

    public class EJB3OverridenAnnotationReader

extends Object

Encapsulates the overriding of Java annotations from an EJB 3.0 descriptor.

Author:
  Paolo Perrotta, Davide Marchignoli, Emmanuel Bernard

Field Summary
`protected AnnotatedElement` | `element`

Constructor Summary
`EJB3OverridenAnnotationReader(AnnotatedElement el, XMLContext xmlContext)`

Method Summary
`static List` | `buildNamedQueries(org.dom4j.Element element, boolean isNative, XMLContext.Default defaults)`
`static javax.persistence.SequenceGenerator` | `buildSequenceGeneratorAnnotation(org.dom4j.Element element)`
`static List<javax.persistence.SqlResultSetMapping>` | `buildSqlResultsetMappings(org.dom4j.Element element, XMLContext.Default defaults)`
`static javax.persistence.TableGenerator` | `buildTableGeneratorAnnotation(org.dom4j.Element element, XMLContext.Default defaults)`
`
`<T extends java.lang.annotation.Annotation> T`
` | `getAnnotation(Class<T> annotationType)`
`java.lang.annotation.Annotation[]` | `getAnnotations()`
`
`<T extends java.lang.annotation.Annotation> boolean`
` | `isAnnotationPresent(Class<T> annotationType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected final AnnotatedElement element

Constructor Detail

### EJB3OverridenAnnotationReader

    public EJB3OverridenAnnotationReader(AnnotatedElement el,
                                         XMLContext xmlContext)

Method Detail

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(Class<T> annotationType)

### isAnnotationPresent

    public <T extends java.lang.annotation.Annotation> boolean isAnnotationPresent(Class<T> annotationType)

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

### buildSqlResultsetMappings

    public static List<javax.persistence.SqlResultSetMapping> buildSqlResultsetMappings(org.dom4j.Element element,
                                                                                        XMLContext.Default defaults)

### buildNamedQueries

    public static List buildNamedQueries(org.dom4j.Element element,
                                         boolean isNative,
                                         XMLContext.Default defaults)

### buildTableGeneratorAnnotation

    public static javax.persistence.TableGenerator buildTableGeneratorAnnotation(org.dom4j.Element element,
                                                                                 XMLContext.Default defaults)

### buildSequenceGeneratorAnnotation

    public static javax.persistence.SequenceGenerator buildSequenceGeneratorAnnotation(org.dom4j.Element element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD